# ───────────────────────────────────────────────
# 🔐 Authentifizierung & Cookies
# ───────────────────────────────────────────────
AUTH_DISPATCH_SECRET=dispatch
AUTH_HUB_SECRET=var

AUTH_DISPATCH_COOKIE_PREFIX=DISPATCH
AUTH_HUB_COOKIE_PREFIX=HUB

AUTH_DISPATCH_URL=https://dispatch.premiumag.de
AUTH_HUB_URL=https://hub.premiumag.de
NEXT_PUBLIC_DISPATCH_SERVICE_ID=1


# ───────────────────────────────────────────────
# 🌐 Öffentliche URLs
# ───────────────────────────────────────────────
NEXT_PUBLIC_HUB_URL=https://hub.premiumag.de
NEXT_PUBLIC_HUB_SERVER_URL=https://api.hub.premiumag.de
NEXT_PUBLIC_DISPATCH_URL=https://dispatch.premiumag.de
NEXT_PUBLIC_DISPATCH_SERVER_URL=https://api.dispatch.premiumag.de
DISCORD_SERVER_URL=http://discord-server:3000


NEXT_PUBLIC_ESRI_ACCESS_TOKEN=
NEXT_PUBLIC_OPENAIP_ACCESS=6e85069940543ef02f8615b737059d98

# ───────────────────────────────────────────────
# 🗄️ Datenbank
# ───────────────────────────────────────────────
DATABASE_URL=postgresql://persistant-data:persistant-data-pw@postgres:5432/var

# ───────────────────────────────────────────────
# 📡 LiveKit Konfiguration
# ───────────────────────────────────────────────
NEXT_PUBLIC_LIVEKIT_URL=wss://livekit.premiumag.de
LIVEKIT_API_KEY=APIAnsGdtdYp2Ho
LIVEKIT_API_SECRET=tdPjVsYUx8ddC7K9NvdmVAeLRF9GeADD6Fedm1x63fWC

# ───────────────────────────────────────────────
# 🚦 Dispatch Server (Backend)
# ───────────────────────────────────────────────
DISPATCH_SERVER_PORT=3000
DISPATCH_APP_TOKEN=dispatch

REDIS_HOST=redis
REDIS_PORT=6379

# ───────────────────────────────────────────────
# 🧠 HUB Server (Backend)
# ───────────────────────────────────────────────
HUB_SERVER_PORT=3000

DISCORD_SERVER_PORT=3000
# ───────────────────────────────────────────────
# 📚 Moodle
# ───────────────────────────────────────────────
MOODLE_URL=https://02.premiumag.de:8081
MOODLE_API_TOKEN=ac346f0324647b68488d13fd52a9bbe8
MOODLE_USER_PASSWORD=var-api-user-P1
NEXT_PUBLIC_MOODLE_URL=https://02.premiumag.de:8081


# ───────────────────────────────────────────────
# 📧 E-Mail Einstellungen (nur HUB Server)
# ───────────────────────────────────────────────
MAIL_SERVER=asmtp.mail.hostpoint.ch
MAIL_PORT=465
MAIL_USER=noreply@virtualairrescue.com
MAIL_PASSWORD=b7316PB8aDPCC%-&

# ───────────────────────────────────────────────
# 🕹️ Discord OAuth (optional)
# ───────────────────────────────────────────────

DISCORD_GUILD_ID=1077269395019141140

DISCORD_OAUTH_CLIENT_ID=930384053344034846
DISCORD_OAUTH_SECRET=96aSvmIePqFTbGc54mad0QsZfDnYwhl1
DISCORD_BOT_TOKEN=OTMwMzg0MDUzMzQ0MDM0ODQ2.G7zIy-._hE3dTbtUv6sd7nIP2PUn3d8s-2MFk0x3nYMg8
DISCORD_REDIRECT_URL=https://hub.premiumag.de/api/discord-redirect
NEXT_PUBLIC_DISCORD_URL=https://discord.com/oauth2/authorize?client_id=930384053344034846&response_type=code&redirect_uri=https%3A%2F%2Fhub.premiumag.de%2Fapi%2Fdiscord-redirect&scope=identify+guilds+email